{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "base.html" %}

{% block content %}
  <div class="row justify-content-center">
    <div class="col-lg-6">
      <div class="card">
        <div class="card-header">{% trans %}Enter a new password{% endtrans %}</div>
        <div class="card-body">
          <submission-form>
            {{ render_csrf() }}

            <password-field :field="{{ json_field(form.password) }}" @input="password = $event">
              <password-strength :input="password"></password-strength>
            </password-field>
            <password-field :field="{{ json_field(form.password2) }}"></password-field>
            <submit-field :field="{{ json_field(form.submit) }}"></submit-field>
          </submission-form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block scripts %}
  {{ render_js("app/accounts/reset-password.js") }}
{% endblock %}
